# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiUserDataFloatTemplate(ShaderAETemplate):
    def setup(self):
        self.beginScrollLayout()

        self.addControl('floatAttrName', label='ΚτΠΤ')
        self.addControl('defaultValue', label='Δ¬ΘΟΦ΅')

        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
